@echo off
REM cq2map.cmd -- compile a quake 2 map
REM usage: "cq2map <mapname>"
REM
REM You may place this file wherever you want, but make sure to adapt the
REM path settings below to your system!
REM
REM written by spirit - http://maps.sp1r1t.org

REM settings -- adapth these to your system!
@set COMPPATH="C:\Programme\GtkRadiant 1.5.0\q2map.exe"
@set MAPPATH="C:\games\quake2\baseq2\maps\%1.map"

REM more settings -- no need to mess with these, but you may.
@set APPTAG=[CQ2MAP]
@set QUALITY1=-bsp -vis -rad -extra
@set QUALITY2=-bsp -vis -rad
@set QUALITY3=-bsp -vis
@set QUALITY4=-bsp -vis -fast
@set QUALITY5=-bsp


echo %APPTAG% === compileq2map ===

REM check for args, bail out if missing
if {%1} == {} (call :HELP) & (goto :EOF)
if {%2} == {} (call :HELP) & (goto :EOF)


REM check quality and compile
if {%2} == {1} (call :Q1) & (goto :EOF)
if {%2} == {2} (call :Q2) & (goto :EOF)
if {%2} == {3} (call :Q3) & (goto :EOF)
if {%2} == {4} (call :Q4) & (goto :EOF)
if {%2} == {5} (call :Q5) & (goto :EOF)


REM comilation procedures
REM note that the first (Q1) will be assumed if no other is specified

:Q1
echo %APPTAG% compiling your map %1 at quality 1 (%QUALITY1%).
%COMPPATH% %QUALITY1% %MAPPATH%
echo %APPTAG% done at quality 1 (%QUALITY1%).
goto :EOF

:Q2
echo %APPTAG% compiling your map %1 at quality 2 (%QUALITY2%).
%COMPPATH% %QUALITY2% %MAPPATH%
echo %APPTAG% done at quality 2 (%QUALITY2%).
goto :EOF

:Q3
echo %APPTAG% compiling your map %1 at quality 3 (%QUALITY3%).
%COMPPATH% %QUALITY3% %MAPPATH%
echo %APPTAG% done at quality 3 (%QUALITY3%).
goto :EOF

:Q4
echo %APPTAG% compiling your map %1 at quality 4 (%QUALITY4%).
%COMPPATH% %QUALITY4% %MAPPATH%
echo %APPTAG% done at quality 4 (%QUALITY4%).
goto :EOF

:Q5
echo %APPTAG% compiling your map %1 at quality 5 (%QUALITY5%).
%COMPPATH% %QUALITY5% %MAPPATH%
echo %APPTAG% done at quality 5 (%QUALITY5%).
goto :EOF

REM other functions
:HELP
echo USAGE
echo =====
echo cq2map mapname quality
echo mapname: name of your mapfile, no extension
echo quality: quality, 1 is best but slowest, 5 fastest but ugliest
echo example: cq2map mymap 2
goto :EOF


REM we're done: bye bye, baby, bye bye
:EOF
echo "%APPTAG% Exiting."
